require 'sinatra'
require 'sinatra/reloader' if development?
require 'json'
require 'securerandom'

configure do
  enable :sessions
  set :session_secret, SecureRandom.hex(64)
end

get '/' do
  redirect to('/index.html')
end

post '/' do
  temp_file = params['input-file'][:tempfile]
  sent_data = temp_file.read
  session['data'] = sent_data
  redirect to('/view')
end

get '/view' do
  sent_data = session['data']
  @data = JSON.parse(sent_data)
  erb :result
end
